#!/bin/bash

cd $LFS/sources
tar xf gcc-12.2.0.tar.xz
cd gcc-12.2.0

mkdir -v build
cd build

../libstdc++-v3/configure           \
    --host=$LFS_TGT                 \
    --build=$(../config.guess)      \
    --prefix=/usr                   \
    --disable-multilib              \
    --disable-nls                   \
    --disable-libstdcxx-pch         \
    --with-gxx-include-dir=/tools/$LFS_TGT/include/c++/12.2.0

if [ $? -ne 0 ]
then
  exit 1
fi

make -j5

if [$ -ne 0 ]
then
  exit 1
fi

make DESTDIR=$LFS install

rm -v $LFS/usr/lib/lib{stdc++,stdc++fs,supc++}.la

cd $LFS
rm -rf gcc-12.2.0
